Bug 431093 - Pidgin hangs when trying to play a sound
Pidgin hangs when trying to play a sound
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
8
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
: 431091 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 13:34 EST by Javier Alejandro Castro
Modified: 2008-11-26 12:37 EST (History)
4 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:37:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The errors on my session (181.56 KB, text/plain)
2008-01-31 13:34 EST, Javier Alejandro Castro
no flags Details
GDB Output as requested (36.00 KB, text/plain)
2008-02-28 16:20 EST, JW
no flags Details
johns-pidgin-crash (4.64 KB, text/plain)
2008-04-13 21:21 EDT, John F
no flags Details

  None (edit)
Description Javier Alejandro Castro 2008-01-31 13:34:52 EST
Description of problem:

The last yum upgrade i did broked something. 

Version-Release number of selected component (if applicable):

2.14.2.fc7

How reproducible:

Always

Steps to Reproduce:
1. Start pidgin
2. Wait for a guification to appear...
  
Actual results:

Pidgin hangs.

Expected results:

Show guification. Continue working.

Additional info:

Last updates i did were:

Jan 21 22:11:46 Updated: docbook-style-xsl - 1.73.2-4.fc8.noarch
Jan 21 22:11:47 Updated: libxml2-python - 2.6.31-1.fc8.x86_64
Jan 21 22:13:58 Installed: cairo - 1.4.14-1.fc8.x86_64
Jan 21 22:14:00 Installed: popt - 1.13-1.fc8.x86_64
Jan 21 22:14:49 Installed: evolution - 2.12.2-3.fc8.x86_64
Jan 31 11:17:26 Updated: bash - 3.2-20.fc8.x86_64
Jan 31 11:17:31 Updated: libacl - 2.2.39-13.fc8.x86_64
Jan 31 11:17:32 Installed: e2fsprogs-libs - 1.40.2-12.fc8.x86_64
Jan 31 11:17:33 Updated: cups-libs - 1:1.3.5-2.fc8.x86_64
Jan 31 11:17:47 Updated: gtk2 - 2.12.5-1.fc8.x86_64
Jan 31 11:17:47 Updated: audit-libs - 1.6.5-2.fc8.x86_64
Jan 31 11:17:54 Updated: evolution-data-server - 1.12.3-1.fc8.x86_64
Jan 31 11:17:55 Updated: libnl - 1.0-0.15.pre8.git20071218.fc8.x86_64
Jan 31 11:17:55 Updated: libXfont - 1.3.1-2.fc8.x86_64
Jan 31 11:17:56 Updated: libbeagle - 0.2.18-4.fc8.x86_64
Jan 31 11:18:00 Updated: gtkhtml3 - 3.16.3-1.fc8.x86_64
Jan 31 11:18:00 Updated: SDL - 1.2.13-1.fc8.x86_64
Jan 31 11:18:01 Updated: pixman - 0.9.6-1.fc8.x86_64
Jan 31 11:18:05 Updated: nfs-utils-lib - 1.1.0-4.fc8.x86_64
Jan 31 11:18:06 Installed: pulseaudio-libs - 0.9.8-5.fc8.x86_64
Jan 31 11:18:07 Updated: bind-libs - 32:9.5.0-23.b1.fc8.x86_64
Jan 31 11:18:08 Installed: libutempter - 1.1.5-1.fc8.x86_64
Jan 31 11:18:10 Installed: wpa_supplicant - 1:0.5.7-21.fc8.x86_64
Jan 31 11:18:11 Installed: dhclient - 12:3.0.6-12.fc8.x86_64
Jan 31 11:18:16 Installed: mesa-libGL - 7.0.2-2.fc8.x86_64
Jan 31 11:18:17 Installed: libdhcp4client - 12:3.0.6-12.fc8.x86_64
Jan 31 11:18:18 Updated: gsf-sharp - 0.8.1-6.fc8.x86_64
Jan 31 11:18:19 Installed: e2fsprogs-libs - 1.40.2-12.fc8.i386
Jan 31 11:18:20 Updated: cups-libs - 1:1.3.5-2.fc8.i386
Jan 31 11:18:22 Installed: cairo - 1.4.14-1.fc8.i386
Jan 31 11:18:23 Installed: mesa-libGLU - 7.0.2-2.fc8.x86_64
Jan 31 11:18:27 Updated: system-config-printer-libs - 0.7.74.10-2.fc8.x86_64
Jan 31 11:18:32 Installed: wv - 1.2.4-2.fc8.x86_64
Jan 31 11:18:39 Updated: beagle - 0.2.18-4.fc8.x86_64
Jan 31 11:18:43 Updated: beagle-gui - 0.2.18-4.fc8.x86_64
Jan 31 11:18:58 Updated: vim-common - 2:7.1.211-1.fc8.x86_64
Jan 31 11:18:59 Updated: libupnp - 1.6.3-3.fc8.x86_64
Jan 31 11:19:00 Installed: pulseaudio-core-libs - 0.9.8-5.fc8.x86_64
Jan 31 11:19:10 Updated: gtk2 - 2.12.5-1.fc8.i386
Jan 31 11:19:25 Installed: pulseaudio - 0.9.8-5.fc8.x86_64
Jan 31 11:19:27 Updated: libacl - 2.2.39-13.fc8.i386
Jan 31 11:19:29 Updated: alsa-plugins-pulseaudio - 1.0.15-2.fc8.x86_64
Jan 31 11:19:32 Updated: vim-enhanced - 2:7.1.211-1.fc8.x86_64
Jan 31 11:19:33 Updated: libdhcp - 1.27-4.fc8.x86_64
Jan 31 11:19:35 Updated: xterm - 231-1.fc8.x86_64
Jan 31 11:19:36 Updated: bind-utils - 32:9.5.0-23.b1.fc8.x86_64
Jan 31 11:19:37 Updated: libbeagle-python - 0.2.18-4.fc8.x86_64
Jan 31 11:19:43 Updated: xorg-x11-server-Xorg - 1.3.0.0-40.fc8.x86_64
Jan 31 11:19:45 Updated: audit-libs-python - 1.6.5-2.fc8.x86_64
Jan 31 11:19:48 Updated: audit - 1.6.5-2.fc8.x86_64
Jan 31 11:20:06 Updated: cups - 1:1.3.5-2.fc8.x86_64
Jan 31 11:20:07 Updated: acl - 2.2.39-13.fc8.x86_64
Jan 31 11:20:11 Updated: tar - 2:1.17-5.fc8.x86_64
Jan 31 11:20:13 Updated: vim-minimal - 2:7.1.211-1.fc8.x86_64
Jan 31 11:20:21 Updated: hsqldb - 1:1.8.0.8-1jpp.5.fc8.x86_64
Jan 31 11:20:22 Updated: smartmontools - 1:5.37-7.3.fc8.x86_64
Jan 31 11:20:25 Updated: less - 406-14.fc8.x86_64
Jan 31 11:20:27 Updated: acpid - 1.0.6-5.fc8.x86_64
Jan 31 11:20:41 Updated: groff - 1.18.1.4-11.fc8.x86_64
Jan 31 11:20:43 Updated: glib-java - 0.2.6-10.fc8.x86_64
Jan 31 11:20:46 Updated: iptraf - 3.0.0-8.fc8.x86_64
Jan 31 11:20:53 Installed: mesa-libGL-devel - 7.0.2-2.fc8.x86_64
Jan 31 11:20:55 Installed: mesa-libGLU-devel - 7.0.2-2.fc8.x86_64
Jan 31 11:20:58 Installed: cairo-devel - 1.4.14-1.fc8.x86_64
Jan 31 11:20:59 Installed: yum-downloadonly - 1.1.10-1.fc8.noarch
Jan 31 11:21:13 Updated: gtk2-devel - 2.12.5-1.fc8.x86_64
Jan 31 11:21:15 Updated: yum-cron - 0.7-1.fc8.noarch
Jan 31 11:21:19 Updated: SDL-devel - 1.2.13-1.fc8.x86_64
Jan 31 11:21:20 Updated: beagle-evolution - 0.2.18-4.fc8.x86_64
Jan 31 11:21:26 Updated: system-config-printer - 0.7.74.10-2.fc8.x86_64
Jan 31 11:21:29 Updated: libacl-devel - 2.2.39-13.fc8.x86_64
Jan 31 11:21:31 Updated: pixman-devel - 0.9.6-1.fc8.x86_64
Jan 31 11:21:33 Updated: libXfont-devel - 1.3.1-2.fc8.x86_64
Jan 31 11:21:42 Updated: evolution-data-server-devel - 1.12.3-1.fc8.x86_64
Jan 31 11:22:06 Updated: xchat - 1:2.8.4-11.fc8.x86_64
Jan 31 11:22:10 Updated: liberation-fonts - 1.0-1.fc8.noarch
Jan 31 11:22:20 Installed: kernel-devel - 2.6.23.14-107.fc8.x86_64
Jan 31 11:22:20 Updated: groff-perl - 1.18.1.4-11.fc8.x86_64
Jan 31 11:22:27 Updated: urw-fonts - 2.4-3.fc8.noarch
Jan 31 11:22:27 Updated: xdg-utils - 1.0.2-4.fc8.noarch
Jan 31 11:22:34 Updated: docbook-style-xsl - 1.73.2-5.fc8.noarch
Jan 31 11:22:36 Updated: kernel-headers - 2.6.23.14-107.fc8.x86_64
Jan 31 11:22:38 Updated: logwatch - 7.3.6-13.fc8.noarch
Jan 31 11:22:39 Updated: hwdata - 0.215-1.fc8.noarch
Jan 31 11:23:20 Installed: kernel - 2.6.23.14-107.fc8.x86_64
Jan 31 11:23:21 Updated: NetworkManager-glib - 1:0.7.0-0.6.7.svn3204.fc8.x86_64
Jan 31 11:23:23 Updated: NetworkManager - 1:0.7.0-0.6.7.svn3204.fc8.x86_64
Jan 31 11:23:34 Updated: NetworkManager-openvpn - 1:0.7.0-6.svn3169.fc8.x86_64
Jan 31 11:24:21 Updated: evolution - 2.12.3-1.fc8.x86_64
Jan 31 11:24:25 Updated: NetworkManager-gnome - 1:0.7.0-0.6.7.svn3204.fc8.x86_64
Jan 31 13:18:07 Installed: libicu - 3.8-5.fc8.x86_64
Jan 31 13:19:30 Updated: openoffice.org-core - 1:2.3.0-6.11.fc8.x86_64
Jan 31 13:19:38 Updated: openoffice.org-calc - 1:2.3.0-6.11.fc8.x86_64
Jan 31 13:19:46 Updated: openoffice.org-langpack-es - 1:2.3.0-6.11.fc8.x86_64
Jan 31 13:19:48 Updated: openoffice.org-math - 1:2.3.0-6.11.fc8.x86_64
Jan 31 13:19:50 Updated: openoffice.org-impress - 1:2.3.0-6.11.fc8.x86_64
Jan 31 13:19:51 Updated: openoffice.org-graphicfilter - 1:2.3.0-6.11.fc8.x86_64
Jan 31 13:19:52 Updated: openoffice.org-draw - 1:2.3.0-6.11.fc8.x86_64
Jan 31 13:19:52 Updated: openoffice.org-xsltfilter - 1:2.3.0-6.11.fc8.x86_64
Jan 31 13:19:55 Updated: openoffice.org-writer - 1:2.3.0-6.11.fc8.x86_64
Jan 31 13:19:58 Updated: openoffice.org-langpack-en - 1:2.3.0-6.11.fc8.x86_64

I attach my .xsession.errors.
Comment 1 Javier Alejandro Castro 2008-01-31 13:34:52 EST
Created attachment 293622 [details]
The errors on my session
Comment 2 Stu Tomlinson 2008-01-31 14:53:28 EST
How do you know it is guifications that triggers this? Could it instead be that
whenever a sound is supposed to play it hangs? (You have a lot of pulseaudio and
gstreamer related messages in your xsession errors). Does the problem go away if
you disable guifications, or if you disable sounds?
Comment 3 Radek Vokal 2008-02-05 07:33:01 EST
*** Bug 431091 has been marked as a duplicate of this bug. ***
Comment 4 Javier Alejandro Castro 2008-02-05 07:47:29 EST
Pulseaudio was the problem. I think pidgin must have some error control when
playing sounds, and at least show some error to the user?
Comment 5 Stu Tomlinson 2008-02-05 15:13:39 EST
Pidgin doesn't directly use pulseaudio, it uses gstreamer. This is definitely
not something Pidgin can do anything about. How did you solve the problem (or
how did you identify that it is pulseaudio)?
Comment 6 JW 2008-02-27 22:04:24 EST
Same thing happens to me, if I disable sounds in Pidgin it works fine for days. 
If I turn on sounds, it will freeze up randomly, there is no real pattern to it 
freezing up.  Sounds act weird until it freezes up, sometimes playing sounds, 
sometimes not.  If I run it from the command line, I get these messages before 
it freezes (this was the last time, so I could put info on this ticket)

[john@FedoraB0x bin]$ pidgin

(pidgin:17870): GStreamer-CRITICAL **:
Trying to dispose element play, but it is not in the NULL state.
You need to explicitly set elements to the NULL state before
dropping the final reference, to allow them to clean up.


(pidgin:17870): GStreamer-CRITICAL **: gst_element_set_state: assertion 
`GST_IS_ELEMENT (element)' failed

(pidgin:17870): GStreamer-CRITICAL **: gst_object_unref: assertion `((GObject 
*) object)->ref_count > 0' failed
Comment 7 Stu Tomlinson 2008-02-27 22:11:04 EST
If you can, please install pidgin-debuginfo and then when pidgin freezes attach
to it with gdb and get a backtrace almost as described on
http://fedoraproject.org/wiki/StackTraces

You will need to find the pid of the hung pidgin process and run "gdb -p <pid>"
then do "thread apply all bt full" at the gdb prompt.
Comment 8 JW 2008-02-27 22:24:28 EST
I tried to find pidgin-debuginfo in yum, but couldn't find it.  Where would one 
install this from?  I will be happy to do this.
Comment 9 Stu Tomlinson 2008-02-28 08:27:50 EST
http://fedoraproject.org/wiki/StackTraces explains how to do this. First install
yum-utils, then "debuginfo-install pidgin" will find and install
pidgin-debuginfo for you.
Comment 10 JW 2008-02-28 16:20:55 EST
Created attachment 296265 [details]
GDB Output as requested

I followed the document as described, and this is the output. I ran Pidgin
through GDB before leaving for work, and left it all day. Came home from work
and it was frozen.  I tried to do the command without "CONTROL-C" in GDB as
described in document, and wouldn't work.  So I CONTROL-C and did it, I have
attached the entire output from starting the application until it freezing and
me typing the commands.
Comment 11 Stu Tomlinson 2008-03-03 14:19:42 EST
This appears to be stuck in gstreamer, re-assigning.
Comment 12 John F 2008-04-13 21:21:22 EDT
Created attachment 302291 [details]
johns-pidgin-crash

Crash output of pidgin
Comment 13 John F 2008-04-13 21:23:32 EDT
Comment on attachment 302291 [details]
johns-pidgin-crash

This is happening for me in rawhide as well.  I have the latest everything as
of April-13-2008.  I am using the livna repository for some extra gst-plugins.
Comment 14 John F 2008-04-13 21:30:40 EDT
I just noticed that this is for x86_64,  it is happening for me on x86
Comment 15 Bastien Nocera 2008-05-19 05:52:24 EDT
(In reply to comment #12)
> Created an attachment (id=302291) [edit]
> johns-pidgin-crash
> 
> Crash output of pidgin

Those warnings are created by pidgin or one of its plugins. And, especially for
the first one, they show wrong usage of the GStreamer elements.

Get a backtrace of the crash running pidgin with "--g-fatal-warnings", which
will show you where pidgin is using the play element badly. Reassigning to pidgin.
Comment 16 Warren Togami 2008-05-20 17:33:42 EDT
Seems not possible to run pidgin with the --g-fatal-warnings option.  Any ideas?
Comment 17 Stu Tomlinson 2008-05-20 20:11:37 EDT
(In reply to comment #16)
> Seems not possible to run pidgin with the --g-fatal-warnings option.  Any ideas?
Warren, try either
    export G_DEBUG=fatal_warnings
or
    export G_DEBUG=fatal_criticals
before running pidgin

Comment 18 Warren Togami 2008-05-21 13:33:27 EDT
Well, this is annoying.  When I attempt to reproduce it, it no longer happens.

Can anybody else get the traceback?
Comment 19 Bug Zapper 2008-11-26 04:39:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Jon Stanley 2008-11-26 12:37:16 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.